function love.load()
	tonesounddata = love.sound.newSoundData(44100,44100,16,1)
	for i=0, 44100 do tonesounddata:setSample(i, math.sin(440*(2*math.pi/44100)*i)*0.2)	end
	tone = love.audio.newSource(tonesounddata)
	tone:setLooping(true)

	pingsounddata = love.sound.newSoundData(44100,44100,16,1)
	for i=0, 44100 do pingsounddata:setSample(i, math.sin(440*2*(2*math.pi/44100)*i)*0.3*(-(i - 44100) / 44100)) end
	ping = love.audio.newSource(pingsounddata)

	tone:play()
	ping:play()
end

function love.visible(visible)
	ping:stop()
	ping:play()
end

function love.update()
	-- Source:isPlaying is new.
	if love.window.isVisible() and not tone:isPlaying() then
		tone:play()
	elseif not love.window.isVisible() and tone:isPlaying() then
		tone:stop()
	end
end
